Storyden
Collections

Collection List

List collections using the filtering options, newest first. Collections accumulate with members, so results are paginated.

GET/collections

List collections using the filtering options, newest first.

Collections accumulate with members, so results are paginated.

storyden-session<token>

In: cookie

Query Parameters

account_handle?string

Account handle.

has_item?string

When specified, will include a field in the response indicating whether or not the specified item is present in the collection. This saves you needing to make two queries to check if an item is in a collection.

page?string

Pagination query parameters.

Response Body

application/json

application/json

curl -X GET "https://example.com/collections?account_handle=southclaws"
{
  "page_size": 0,
  "results": 0,
  "total_pages": 0,
  "current_page": 0,
  "next_page": 0,
  "collections": [
    {
      "id": "cc5lnd2s1s4652adtu50",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "deletedAt": "2019-08-24T14:15:22Z",
      "misc": {},
      "name": "string",
      "slug": "cc5lnd2s1s4652adtu50-top-10-movies-thread",
      "description": "string",
      "owner": {
        "id": "cc5lnd2s1s4652adtu50",
        "joined": "2019-08-24T14:15:22Z",
        "suspended": "2019-08-24T14:15:22Z",
        "handle": "Southclaws",
        "name": "Barnaby Keene",
        "signature": "<body><p>Sent with love from London!</p></body>",
        "roles": [
          {
            "badge": true,
            "default": true,
            "id": "cc5lnd2s1s4652adtu50",
            "name": "string",
            "colour": "string",
            "meta": {}
          }
        ]
      },
      "item_count": 0,
      "has_queried_item": true
    }
  ]
}
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}